

# DescribeDimension
<a name="API_DescribeDimension"></a>

Provides details about a dimension that is defined in your AWS accounts.

Requires permission to access the [DescribeDimension](https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions) action.

## Request Syntax
<a name="API_DescribeDimension_RequestSyntax"></a>

```
GET /dimensions/name HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeDimension_RequestParameters"></a>

The request uses the following URI parameters.

 ** [name](#API_DescribeDimension_RequestSyntax) **   <a name="iot-DescribeDimension-request-uri-name"></a>
The unique identifier for the dimension.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z0-9:_-]+`   
Required: Yes

## Request Body
<a name="API_DescribeDimension_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeDimension_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "arn": "string",
   "creationDate": number,
   "lastModifiedDate": number,
   "name": "string",
   "stringValues": [ "string" ],
   "type": "string"
}
```

## Response Elements
<a name="API_DescribeDimension_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [arn](#API_DescribeDimension_ResponseSyntax) **   <a name="iot-DescribeDimension-response-arn"></a>
The Amazon Resource Name (ARN) for the dimension.  
Type: String

 ** [creationDate](#API_DescribeDimension_ResponseSyntax) **   <a name="iot-DescribeDimension-response-creationDate"></a>
The date the dimension was created.  
Type: Timestamp

 ** [lastModifiedDate](#API_DescribeDimension_ResponseSyntax) **   <a name="iot-DescribeDimension-response-lastModifiedDate"></a>
The date the dimension was last modified.  
Type: Timestamp

 ** [name](#API_DescribeDimension_ResponseSyntax) **   <a name="iot-DescribeDimension-response-name"></a>
The unique identifier for the dimension.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z0-9:_-]+` 

 ** [stringValues](#API_DescribeDimension_ResponseSyntax) **   <a name="iot-DescribeDimension-response-stringValues"></a>
The value or list of values used to scope the dimension. For example, for topic filters, this is the pattern used to match the MQTT topic name.  
Type: Array of strings  
Array Members: Minimum number of 1 item. Maximum number of 100 items.  
Length Constraints: Minimum length of 1. Maximum length of 256.

 ** [type](#API_DescribeDimension_ResponseSyntax) **   <a name="iot-DescribeDimension-response-type"></a>
The type of the dimension.  
Type: String  
Valid Values: `TOPIC_FILTER` 

## Errors
<a name="API_DescribeDimension_Errors"></a>

 ** InternalFailureException **   
An unexpected error has occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request is not valid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** message **   
The message for the exception.
HTTP Status Code: 404

 ** ThrottlingException **   
The rate exceeds the limit.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

## See Also
<a name="API_DescribeDimension_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iot-2015-05-28/DescribeDimension) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iot-2015-05-28/DescribeDimension) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iot-2015-05-28/DescribeDimension) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iot-2015-05-28/DescribeDimension) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iot-2015-05-28/DescribeDimension) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iot-2015-05-28/DescribeDimension) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iot-2015-05-28/DescribeDimension) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iot-2015-05-28/DescribeDimension) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iot-2015-05-28/DescribeDimension) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iot-2015-05-28/DescribeDimension) 